Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream
Interface XMLOutputStream

All Known Subinterfaces:
  XMLInputOutputStream

All Known Implementing Classes:
  SecureSoapOutputStream, XMLInputOutputStreamBase, weblogic.xml.security.utils.XMLOutputStreamBase

Deprecated. please use java standard StAX api

    public interface XMLOutputStream

This is the top level interface for writing XML documents.

Since:
  XMLOutputStream 1.0
See Also:
  `XMLInputStream`, `XMLEvent`, `CharacterData`, `ProcessingInstruction`, `StartElement`, `EndElement`, `CharacterData`, `XMLName`

Method Summary
`void` | `add(Attribute attribute)` Deprecated.
`void` | `add(String markup)` Deprecated.
`void` | `add(XMLEvent event)` Deprecated.
`void` | `add(XMLInputStream inputStream)` Deprecated.
`void` | `close()` Deprecated.
`void` | `close(boolean flush)` Deprecated.
`void` | `flush()` Deprecated.

Method Detail

### add

    void add(XMLEvent event)
             throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### add

    void add(XMLInputStream inputStream)
             throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### add

    void add(String markup)
             throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### add

    void add(Attribute attribute)
             throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### close

    void close()
               throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### close

    void close(boolean flush)
               throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### flush

    void flush()
               throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD